Add a checkout shipping option
curl --request POST \
--url https://api.replo.app/v1/shipping/options \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Replo-Api-Version: <replo-api-version>' \
--data '
{
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"amount": 1,
"currencyCode": "<string>",
"rules": [
{
"attribute": "cartSubtotal",
"value": 1
}
],
"sortOrder": 123,
"minDeliveryDays": 123,
"maxDeliveryDays": 123,
"carrierServices": [
"<string>"
],
"handlingAmount": 1,
"shippingProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pickupInstructions": "<string>",
"pickupLocation": {
"type": "storeAddress"
}
}
'import requests
url = "https://api.replo.app/v1/shipping/options"
payload = {
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"amount": 1,
"currencyCode": "<string>",
"rules": [
{
"attribute": "cartSubtotal",
"value": 1
}
],
"sortOrder": 123,
"minDeliveryDays": 123,
"maxDeliveryDays": 123,
"carrierServices": ["<string>"],
"handlingAmount": 1,
"shippingProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pickupInstructions": "<string>",
"pickupLocation": { "type": "storeAddress" }
}
headers = {
"Replo-Api-Version": "<replo-api-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Replo-Api-Version': '<replo-api-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
projectId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
amount: 1,
currencyCode: '<string>',
rules: [{attribute: 'cartSubtotal', value: 1}],
sortOrder: 123,
minDeliveryDays: 123,
maxDeliveryDays: 123,
carrierServices: ['<string>'],
handlingAmount: 1,
shippingProfileId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
pickupInstructions: '<string>',
pickupLocation: {type: 'storeAddress'}
})
};
fetch('https://api.replo.app/v1/shipping/options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.replo.app/v1/shipping/options",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'projectId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'name' => '<string>',
'amount' => 1,
'currencyCode' => '<string>',
'rules' => [
[
'attribute' => 'cartSubtotal',
'value' => 1
]
],
'sortOrder' => 123,
'minDeliveryDays' => 123,
'maxDeliveryDays' => 123,
'carrierServices' => [
'<string>'
],
'handlingAmount' => 1,
'shippingProfileId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'pickupInstructions' => '<string>',
'pickupLocation' => [
'type' => 'storeAddress'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Replo-Api-Version: <replo-api-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.replo.app/v1/shipping/options"
payload := strings.NewReader("{\n \"projectId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"amount\": 1,\n \"currencyCode\": \"<string>\",\n \"rules\": [\n {\n \"attribute\": \"cartSubtotal\",\n \"value\": 1\n }\n ],\n \"sortOrder\": 123,\n \"minDeliveryDays\": 123,\n \"maxDeliveryDays\": 123,\n \"carrierServices\": [\n \"<string>\"\n ],\n \"handlingAmount\": 1,\n \"shippingProfileId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"pickupInstructions\": \"<string>\",\n \"pickupLocation\": {\n \"type\": \"storeAddress\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Replo-Api-Version", "<replo-api-version>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.replo.app/v1/shipping/options")
.header("Replo-Api-Version", "<replo-api-version>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"projectId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"amount\": 1,\n \"currencyCode\": \"<string>\",\n \"rules\": [\n {\n \"attribute\": \"cartSubtotal\",\n \"value\": 1\n }\n ],\n \"sortOrder\": 123,\n \"minDeliveryDays\": 123,\n \"maxDeliveryDays\": 123,\n \"carrierServices\": [\n \"<string>\"\n ],\n \"handlingAmount\": 1,\n \"shippingProfileId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"pickupInstructions\": \"<string>\",\n \"pickupLocation\": {\n \"type\": \"storeAddress\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.replo.app/v1/shipping/options")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Replo-Api-Version"] = '<replo-api-version>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"projectId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"amount\": 1,\n \"currencyCode\": \"<string>\",\n \"rules\": [\n {\n \"attribute\": \"cartSubtotal\",\n \"value\": 1\n }\n ],\n \"sortOrder\": 123,\n \"minDeliveryDays\": 123,\n \"maxDeliveryDays\": 123,\n \"carrierServices\": [\n \"<string>\"\n ],\n \"handlingAmount\": 1,\n \"shippingProfileId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"pickupInstructions\": \"<string>\",\n \"pickupLocation\": {\n \"type\": \"storeAddress\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"amount": 1,
"currencyCode": "<string>",
"rules": [
{
"attribute": "cartSubtotal",
"operator": "gte",
"value": 1
}
],
"sortOrder": 123,
"speedTier": "standard",
"minDeliveryDays": 123,
"maxDeliveryDays": 123,
"type": "flat",
"carrierServices": [
"<string>"
],
"handlingAmount": 1,
"shippingProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pickupAddressId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pickupInstructions": "<string>",
"object": "shipping_option"
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}Shipping-options
Add a checkout shipping option
Beta — this endpoint may change before general availability.
POST
/
shipping
/
options
Add a checkout shipping option
curl --request POST \
--url https://api.replo.app/v1/shipping/options \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Replo-Api-Version: <replo-api-version>' \
--data '
{
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"amount": 1,
"currencyCode": "<string>",
"rules": [
{
"attribute": "cartSubtotal",
"value": 1
}
],
"sortOrder": 123,
"minDeliveryDays": 123,
"maxDeliveryDays": 123,
"carrierServices": [
"<string>"
],
"handlingAmount": 1,
"shippingProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pickupInstructions": "<string>",
"pickupLocation": {
"type": "storeAddress"
}
}
'import requests
url = "https://api.replo.app/v1/shipping/options"
payload = {
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"amount": 1,
"currencyCode": "<string>",
"rules": [
{
"attribute": "cartSubtotal",
"value": 1
}
],
"sortOrder": 123,
"minDeliveryDays": 123,
"maxDeliveryDays": 123,
"carrierServices": ["<string>"],
"handlingAmount": 1,
"shippingProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pickupInstructions": "<string>",
"pickupLocation": { "type": "storeAddress" }
}
headers = {
"Replo-Api-Version": "<replo-api-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Replo-Api-Version': '<replo-api-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
projectId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
amount: 1,
currencyCode: '<string>',
rules: [{attribute: 'cartSubtotal', value: 1}],
sortOrder: 123,
minDeliveryDays: 123,
maxDeliveryDays: 123,
carrierServices: ['<string>'],
handlingAmount: 1,
shippingProfileId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
pickupInstructions: '<string>',
pickupLocation: {type: 'storeAddress'}
})
};
fetch('https://api.replo.app/v1/shipping/options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.replo.app/v1/shipping/options",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'projectId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'name' => '<string>',
'amount' => 1,
'currencyCode' => '<string>',
'rules' => [
[
'attribute' => 'cartSubtotal',
'value' => 1
]
],
'sortOrder' => 123,
'minDeliveryDays' => 123,
'maxDeliveryDays' => 123,
'carrierServices' => [
'<string>'
],
'handlingAmount' => 1,
'shippingProfileId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'pickupInstructions' => '<string>',
'pickupLocation' => [
'type' => 'storeAddress'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Replo-Api-Version: <replo-api-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.replo.app/v1/shipping/options"
payload := strings.NewReader("{\n \"projectId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"amount\": 1,\n \"currencyCode\": \"<string>\",\n \"rules\": [\n {\n \"attribute\": \"cartSubtotal\",\n \"value\": 1\n }\n ],\n \"sortOrder\": 123,\n \"minDeliveryDays\": 123,\n \"maxDeliveryDays\": 123,\n \"carrierServices\": [\n \"<string>\"\n ],\n \"handlingAmount\": 1,\n \"shippingProfileId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"pickupInstructions\": \"<string>\",\n \"pickupLocation\": {\n \"type\": \"storeAddress\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Replo-Api-Version", "<replo-api-version>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.replo.app/v1/shipping/options")
.header("Replo-Api-Version", "<replo-api-version>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"projectId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"amount\": 1,\n \"currencyCode\": \"<string>\",\n \"rules\": [\n {\n \"attribute\": \"cartSubtotal\",\n \"value\": 1\n }\n ],\n \"sortOrder\": 123,\n \"minDeliveryDays\": 123,\n \"maxDeliveryDays\": 123,\n \"carrierServices\": [\n \"<string>\"\n ],\n \"handlingAmount\": 1,\n \"shippingProfileId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"pickupInstructions\": \"<string>\",\n \"pickupLocation\": {\n \"type\": \"storeAddress\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.replo.app/v1/shipping/options")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Replo-Api-Version"] = '<replo-api-version>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"projectId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"amount\": 1,\n \"currencyCode\": \"<string>\",\n \"rules\": [\n {\n \"attribute\": \"cartSubtotal\",\n \"value\": 1\n }\n ],\n \"sortOrder\": 123,\n \"minDeliveryDays\": 123,\n \"maxDeliveryDays\": 123,\n \"carrierServices\": [\n \"<string>\"\n ],\n \"handlingAmount\": 1,\n \"shippingProfileId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"pickupInstructions\": \"<string>\",\n \"pickupLocation\": {\n \"type\": \"storeAddress\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"amount": 1,
"currencyCode": "<string>",
"rules": [
{
"attribute": "cartSubtotal",
"operator": "gte",
"value": 1
}
],
"sortOrder": 123,
"speedTier": "standard",
"minDeliveryDays": 123,
"maxDeliveryDays": 123,
"type": "flat",
"carrierServices": [
"<string>"
],
"handlingAmount": 1,
"shippingProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pickupAddressId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pickupInstructions": "<string>",
"object": "shipping_option"
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}Authorizations
Headers
Body
application/json
Response
Add a checkout shipping option